<?php
require ("Conexion/Conexion.php");
require('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
		
	if($_POST['Password'] != ''){
		if(strlen($_POST['Password']) >= 3 && strlen($_POST['Password']) <= 15){
			if(preg_match("/^[a-zA-Z0-9]{3,15}$/i", $_POST['Password'])){
				$ClienteID = $_SESSION['ClienteID'];
				$Password = strtoupper($_POST['Password']);
				if($_SESSION['Admin'] == 1){
					$UpdatePassword = mssql_query("UPDATE Cliente SET NIP = '$Password' WHERE ClienteID = '$ClienteID'");
					$Tabla = "Cambio de Password:".$ClienteID;
				} else {
					$UpdatePassword = mssql_query("UPDATE UsuarioWeb SET Clave = '$Password' WHERE ClienteID = '$ClienteID' AND UsuarioWebID = ".$_SESSION['UsuarioID']."");
					$Tabla = "Cambio de Password:".$_SESSION['UsuarioID'];
				}
				RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'], $_SESSION['GasolineroID'], $_SESSION['UsuarioID'], $Tabla, 'Password', '***', '***');
				$_SESSION['Password'] = $Password;
				echo 'Cambiado';
			}else
				echo "<p class='error'>La Contraseña solo acepta números y letras!</p>";
		}else
			echo "<p class='error'>La Contraseña esta fuera del rango permitido de caracteres!</p>";
	}else
		echo "<p class='error'>Escriba la Contraseña!</p>";
}
?>